跳转到主要内容
GET
/
v3beta1
/
organizations
/
{org_id}
/
snapshot-setup
/
builds
列出该组织的构建
curl --request GET \
  --url https://api.devin.ai/v3beta1/organizations/{org_id}/snapshot-setup/builds \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "build_id": "<string>",
      "completed_at": 123,
      "created_at": 123,
      "pinned": true,
      "started_at": 123,
      "status": "pending",
      "trigger": "manual",
      "triggered_by_user_id": "<string>",
      "updated_at": 123
    }
  ],
  "end_cursor": "<string>",
  "has_next_page": false,
  "total": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.devin.ai/llms.txt

Use this file to discover all available pages before exploring further.

权限

需要服务用户在组织级别具有 ManageRepoBlueprints 权限。

授权

Authorization
string
header
必填

服务用户凭据(前缀:cog_)

查询参数

qs
CursorPaginationParams · object
必填
status
enum<string> | null

按规范状态筛选。

可用选项:
pending,
running,
succeeded,
failed,
cancelled
active
boolean | null

如果为 true,则返回 0 或 1 条记录:其镜像当前正用于新建会话的构建。

响应

成功响应

items
Build · object[]
必填
end_cursor
string | null

用于获取下一页的游标;如果这是最后一页,则为 None。

has_next_page
boolean
默认值:false

此页之后是否还有更多可用项。

total
integer | null

可选的总数(出于性能考虑可省略)。